Page MenuHomePhabricator

[Task] Other projects sidebar should show badges if applicable
Closed, ResolvedPublic

Description

If an article on one project is a featured/good article, then if the linked page is viewed on another project, the star icon should show up next to other projects sidebar links as well.

For example, https://it.wikipedia.org/wiki/Legnano is a featured article on Wikipedia. But the star icon does not show next to Wikipedia link under 'Other projects' sidebar on https://it.wikivoyage.org/wiki/Legnano the Wikivoyage article.


See also: T70071: [Compact links] Prioritise interwikis to featured pages (similar bug for language links)

Details

Reference
bz71887

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:43 AM
bzimport set Reference to bz71887.
bzimport added a subscriber: Unknown Object (MLST).
Glaisher created this task.Oct 9 2014, 4:42 PM

It should be enough to apply the same code that allow to do the same task for the interlingual link. For example, look at https://it.wikivoyage.org/wiki/Singapore where is shown a silver star on the de:voy link, and a gold star on the en:voy link.

The patch should consist in a source copy and paste with minor modifications.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Kky added a subscriber: Kky.Dec 27 2014, 2:33 PM

Change 213340 had a related patch set uploaded (by Tpt):
[WIP] Display badges on the other project sidebar

https://gerrit.wikimedia.org/r/213340

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 5:52 AM
Jonas renamed this task from Other projects sidebar should show badges if applicable to [Task] Other projects sidebar should show badges if applicable.Aug 13 2015, 4:28 PM
Jonas updated the task description. (Show Details)

This is already done by the wikis with their own JS/CSS, right? I'm trying to understand why it's marked as blocker of T103102.

Nemo_bis updated the task description. (Show Details)Dec 11 2015, 12:12 PM
Tpt added a comment.Dec 11 2015, 12:34 PM

This is already done by the wikis with their own JS/CSS, right?

I was not aware of it. Could you link to an example, please?

Change 213340 abandoned by Addshore:
[WIP] Display badges on the other project sidebar

https://gerrit.wikimedia.org/r/213340

Change 355899 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Move out logic of badges out of LanguageLinkBadgeDisplay to a dedicated class

https://gerrit.wikimedia.org/r/355899

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 28 2017, 1:36 PM

Change 355899 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move out logic of badges out of LanguageLinkBadgeDisplay to a dedicated class

https://gerrit.wikimedia.org/r/355899

Change 356511 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Add badge to other project sidebar

https://gerrit.wikimedia.org/r/356511

Change 356511 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add badge to other project sidebar

https://gerrit.wikimedia.org/r/356511

Change 361071 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Fetch all site link data from item to show badges in Other Project Sidebar

https://gerrit.wikimedia.org/r/361071

Ladsgroup moved this task from Done to Review on the Wikidata-Former-Sprint-Board board.
Ladsgroup added a subscriber: Ladsgroup.

Change 361071 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fetch all site link data from item to show badges in Other Project Sidebar

https://gerrit.wikimedia.org/r/361071

Change 361509 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Remove warning when badge label can not be found

https://gerrit.wikimedia.org/r/361509

Change 361509 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove warning when badge label can not be found

https://gerrit.wikimedia.org/r/361509

Ladsgroup closed this task as Resolved.Jun 29 2017, 10:19 AM

https://it.wikivoyage.org/wiki/Legnano shows the badge right now :)